﻿using MTWorkHR.Core.Entities.Base;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
using Microsoft.AspNetCore.Http;


namespace MTWorkHR.Application.Models
{
    public class ProjectStageAttachmentDto : EntityDto
    {
        public long ProjectStageId { get; set; } = 0;

        public long? AttachmentTypeId { get; set; }


        [MaxLength(250)]
        public string? FileName { get; set; }

        [MaxLength(250)]
        public string? OriginalName { get; set; }
        public IFormFile? FileData { get; set; }

        public string? FilePath { get; set; }
        public string? ContentType { get; set; }
    }
}
