﻿using Microsoft.AspNetCore.Http;
using MTWorkHR.Core.Entities;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Global;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace MTWorkHR.Application.Models
{
        public class UserTaskAllDto : EntityDto
        {
            public string AssignedUserId { get; set; }
            public string? AssignedUserName { get; set; }
            public string? ProfileImage { get; set; }
            public string Title { get; set; }
            public string Description { get; set; }
            public DateTime DueDate { get; set; }
            public PriorityEnum Priority { get; set; }
            public int ProjectId { get; set; }

            public long StatusId { get; set; }
            public int AttachmentCount { get; set; }
            public int CommentsCount { get; set; }
            public string? CreateUser { get; set; }

        }
}
