﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Global;

namespace MTWorkHR.Core.Entities
{
    public class Meeting : FullAuditEntity, IHaveCompany
    {
        [Required]
        [MaxLength(250)]
        [Filter]
        public string Title { get; set; }

        [MaxLength(500)]
        [Filter]
        public string? Description { get; set; }
        public DateTime MeetingDate { get; set; }
        public string StartTime{ get; set; }
        public string EndTime { get; set; }
        [MaxLength(250)]
        [Filter]
        public string? Location { get; set; }
        [MaxLength(250)]
        public string? MeetingLink { get; set; }
        public long CompanyId { get; set; }
        public RepeatEnum RepeatId { get; set; }

        public List<MeetingUser>? MeetingUsers{ get; set; }
    }
}
