﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace MTWorkHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class addSubscLimitDefault : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.InsertData(
                table: "SubscriptionConfiguration",
                columns: new[] { "Id", "ContractDocumentationFees", "CreateDate", "CreateUser", "DeductedFirstSearchAmount", "DeleteUserId", "DistinguishedEmployeeCompanyFeesPerc", "DistinguishedEmployeePerc", "ExperienceCertificateFees", "FirstRegisterationCompanyFees", "IsDeleted", "MonthlyCompanyFees", "MonthlyEmployeeServicesCompanyFees", "OrdinaryEmployeePerc", "RequestDisputeResolutionFees", "UpdateDate", "UpdateUser", "YearlyCompanyFees" },
                values: new object[] { 1L, 0m, new DateTime(2025, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), "ADMB3B92-2311-48F8-9DEC-F9FAEF1F21UA", 0m, null, 0m, 0m, 0m, 0m, false, 0m, 0m, 0m, 0m, null, null, 0m });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "SubscriptionConfiguration",
                keyColumn: "Id",
                keyValue: 1L);
        }
    }
}
