﻿
using MTWorkHR.Application.Models;
using MTWorkHR.Core.Entities;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Services.Interfaces
{
    public interface IContractService : IService<Contract, ContractDto, ContractDto>
    {
        Task<PagingResultDto<ContractDto>> GetAll(ContractPagingInputDto PagingInputDto);
        Task<bool> ChangeStatus(long contractId, int statusId);

    }
}
