﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Global;

namespace MTWorkHR.Core.Entities
{
    public class Attendance : FullAuditEntity, IHaveCompany
    {
        [Required]
        [Filter]
        public string UserId { get; set; }
        [Filter]
        public string? UserName { get; set; }
        public DateTime? CheckInTime { get; set; }
        public DateTime? CheckOutTime { get; set; }
        public DateTime AttendanceDate { get; set; }
        public CheckOutEnum LeaveType { get; set; }

        [MaxLength(250)]
        [Filter]
        public string? LeaveReason { get; set; }
        public long CompanyId { get; set; }
    }
}
